# -*- coding: utf-8 -*-
from distutils.core import setup

packages = \
['jolly_github_toolbelt']

package_data = \
{'': ['*'], 'jolly_github_toolbelt': ['hooks/*']}

install_requires = \
['github3.py>=1.1.0,<2.0.0', 'requests>=2.10,<3.0', 'tomlkit>=0.5.3,<0.6.0']

entry_points = \
{'console_scripts': ['gt-assign-pr = jolly_github_toolbelt:assign_pr_cli',
                     'gt-pr-doc-link = '
                     'jolly_github_toolbelt:post_docs_link_cli']}

setup_kwargs = {
    'name': 'jolly-github-toolbelt',
    'version': '2.1.0',
    'description': "A collection of tools around Git and GitHub to make developers' lives easier.",
    'long_description': 'GitHub Tools\n============\n\nA collection of tools around Git and GitHub to make developers\' lives easier.\n\n- `gt-assign-pr`_\n- `gt-pr-doc-link`_\n\ngt-assign-pr\n------------\n\nA simple helper to assign a given PR to as set of users from the CLI.\n\nUsage\n~~~~~\n\nThis tool requires the use of a token (see `Using Tokens`_).\nBy simply providing a ``owner``, ``repository``, ``pr_number``\nand as many users as desired,\nyou can assign the given PR to those users.\nBy default, currently assigned users are kept,\nbut they can be removed using the ``--clear-current`` flag.\n\ngt-pr-doc-link\n--------------\n\nA simple helper to post a link to docs back to a PR when run in a Jenkins job.\n\nUsage\n~~~~~\n\nThis tool requires the use of a token (see `Using Tokens`_).\nIn addition,\nthis tool requires a ``BUILD_URL`` environment variable to be present\n(present automatically in a Jenkins job),\nand to have the docs already built\nand available via a URL subpath from the job URL,\nas would be generated by the `Jenkins HTML Publisher`_ plugin.\n\nUsing Tokens\n------------\n\nIn order to provide for maximum flexibility,\nthese tools are designed to work with GitHub Personal Access Tokens,\nwhich are needed for people using two-factor authentication\nor have access protected by SAML single sign on (SSO).\nGitHub provides instruction to `obtain a token`_.\nThe token can be provided to all commands\neither via the ``--token TOKEN`` flag,\nor by setting ``GH_TOKEN`` in your environment.\n\nCustom GitHub URL\n-----------------\n\nBy default, this project works with https://github.com.\nIn order to use an alternate URL, such as an enterprise install,\nyou can provide the URL via an environment variable: ``GT_GH_URL``.\n\npre-commit hooks\n================\n\nThis repository also provides three hooks, documented below,\nthat can be installed by hand or via `pre-commit`_:\n\ngt-commit-msg\n-------------\n\nEnsure that a commit message conforms to some best practices:\n\n#. Subject lines should not be longer than 50 characters\n#. Wrap the body at 72 characters\n#. Separate the subject from body with a blank line.\n\nThese are taken from `A Note About Git Commit Messages`_.\n\ngt-self-check\n-------------\n\nCan perform validations before making a commit.\nIf an executable file named ``self-check.sh`` exists\nin the root of the repository and a Python, Ruby, or Gherkin file was changed,\nthe checker is executed\nand the return status serves as a gate for the commit to occur.\nThe check can be bypassed via ``git commit -n``.\n\ngt-prepare-commit-msg\n---------------------\n\nPrepare a commit message by including an appropriate prefix,\nwhen possible, based on the branch name.\nIf the branch name contains a JIRA ID, that is included in the prefix.\nIf the branch name also contains either "FF" or "Spike",\nthat is appended to the prefix.\nIf a branch name, without including a JIRA ID,\ncontains "FF", "Spike", "Enhancement" or "Fix",\nthose phrases are set as the prefix.\nAll searches are case-insensitive.\n\n\n.. _`Jenkins HTML Publisher`: https://plugins.jenkins.io/htmlpublisher\n.. _`pre-commit`: https://pre-commit.com\n.. _`A Note About Git Commit Messages`: https://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html\n.. _`obtain a token`: https://help.github.com/en/articles/creating-a-personal-access-token-for-the-command-line\n',
    'author': 'Brad Brown',
    'author_email': 'brad@bradsbrown.com',
    'url': 'https://jolly-good-toolbelt.github.io/jolly_github_toolbelt/',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
